; AD  : This Kerberos configuration is for CERN's Active Directory realm.
; This file is maintained via puppet, local changes may be lost.
; /etc/krb5.conf

[libdefaults]
 default_realm = <%= scope.lookupvar('kerberos::params::krb5default') %>
 ticket_lifetime = <%= scope.lookupvar('kerberos::params::krb5ticket_lifetime') %>
 renew_lifetime = <%= scope.lookupvar('kerberos::params::krb5renew_lifetime') %>
 forwardable = <%= scope.lookupvar('kerberos::params::krb5forwardable') %>
 proxiable = <%= scope.lookupvar('kerberos::params::krb5proxiable') %>
 default_tkt_enctypes = <%= scope.lookupvar('kerberos::params::default_tkt_enctypes') %>
 chpw_prompt = <%= scope.lookupvar('kerberos::params::krb5chpw_prompt') %>
<% if scope.lookupvar('kerberos::params::krb5weakcrypto') -%>
 allow_weak_crypto = true
<% end %>

[realms]
 CERN.CH = {
  default_domain = cern.ch
  kpasswd_server = <%= scope.lookupvar('kerberos::params::kdc_cern') %>
  admin_server = <%= scope.lookupvar('kerberos::params::kdc_cern') %>
  kdc = <%= scope.lookupvar('kerberos::params::kdc_cern') %>

  v4_name_convert = {
     host = {
         rcmd = host
     }
  }
 }
; the external institutes info is completely static for now and
; come straight from the kerberos puppet template

 FNAL.GOV = {
  default_domain = fnal.gov
  admin_server = krb-fnal-admin.fnal.gov
  kdc = krb-fnal-1.fnal.gov:88
  kdc = krb-fnal-2.fnal.gov:88
  kdc = krb-fnal-3.fnal.gov:88
  kdc = krb-fnal-4.fnal.gov:88
  kdc = krb-fnal-fcc3.fnal.gov:88
  kdc = krb-fnal-enstore.fnal.gov:88
  kdc = krb-fnal-fg2.fnal.gov:88
  kdc = krb-fnal-cms188.fnal.gov:88
  kdc = krb-fnal-cms204.fnal.gov:88
  kdc = krb-fnal-d0online.fnal.gov:88
  kdc = krb-fnal-nova-fd.fnal.gov:88
 }
 KFKI.HU = {
  kdc = kerberos.kfki.hu
  admin_server = kerberos.kfki.hu
 }
 HEP.MAN.AC.UK = {
  kdc = afs4.hep.man.ac.uk
  kdc = afs1.hep.man.ac.uk
  kdc = afs2.hep.man.ac.uk
  kdc = afs3.hep.man.ac.uk
  admin_server = afs4.hep.man.ac.uk
  kpasswd_server = afs4.hep.man.ac.uk
  default_domain = hep.man.ac.uk
 }
[domain_realm]
 .cern.ch = CERN.CH
 .fnal.gov = FNAL.GOV
 .kfki.hu = KFKI.HU
 .hep.man.ac.uk = HEP.MAN.AC.UK
[appdefaults]
   pkinit_pool =  <%= scope.lookupvar('kerberos::params::pkinit_pool') %>
   pkinit_anchors = <%= scope.lookupvar('kerberos::params::pkinit_anchors') %>
; options for Red Hat pam_krb5-2
<% if scope.lookupvar('kerberos::params::krb5pam') -%>
 pam = {
 <% scope.lookupvar('kerberos::params::krb5pam').sort.each do | key,val | -%>
         <%= key %> = <%= val %>
<% end -%>
 }
<% end -%>

